+++
title = "debug"
+++

This extension includes log all htmx events for the element it is on, either through the `console.debug` function
or through the `console.log` function with a `DEBUG:` prefix.

## Install

```html
<script src="https://unpkg.com/htmx.org@1.9.11/dist/ext/debug.js"></script>
```

## Usage

```html
<button hx-ext="debug">Debug Me...</button>
```
